%define _unpackaged_files_terminate_build	1

%define module_name	wanpipe
%define module_version	3.3.15
%define module_release	alt1.2

%define kversion       2.6.27
%define krelease       alt16
%define flavour        std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_prefix/src/linux-%kversion-%flavour-%krelease
%define module_headers_dir %kernel_headers_dir/drivers/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.16
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: zaptel

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-zaptel-%flavour
BuildRequires: rsync flex gcc-c++ libncurses-devel 
Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:  %ix86 x86_64

%description
Zaptel modules, that needed for all Digium hardware, and some compatible
devices for telephony.

%package -n kernel-headers-%module_name-%flavour
Summary: zaptel driver headers
Group: Development/Kernel
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease
Provides: kernel-headers-%module_name-%kversion-%flavour-%krelease = %version-%release

%description -n kernel-headers-%module_name-%flavour
This package contains zaptel driver headers and other files needed for
compiling kernel modules which interface with zaptel drivers.

%prep
mkdir -p kernel-source-%module_name-%module_version
cd kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
%install
mkdir -p 000/etc/wanpipe
mkdir -p tmp.kernel

krn=%_usrsrc/linux-%kversion-%flavour

rsync -ak --delete $krn/ tmp.kernel/

inc=`realpath tmp.kernel/include`
bd=`realpath 000`
cp -a tmp.kernel/drivers/zaptel/* tmp.kernel/kernel/
cat tmp.kernel/kernel-modules-zaptel.symvers >> tmp.kernel/Module.symvers
cat tmp.kernel/kernel-modules-zaptel.symvers > tmp.kernel/drivers/zaptel/Module.symvers

export EXTRA_FLAGS=-I$inc
./Setup install \
    --silent \
    --builddir=$bd \
    --protocol=SS7,BITSTRM,BSCSTRM,BISYNC,SDLC,EDU,MPAPI,ADCCP,TDM \
    --with-linux=`realpath tmp.kernel` \
	--with-zaptel=`realpath tmp.kernel`

mkdir -p %buildroot/lib
cp -a 000/lib/* %buildroot/lib/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%dir /lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter
/lib/modules/%kversion-%flavour-%krelease/kernel/net/wanrouter/*.ko
/lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wan/*.ko

%changelog
* Tue Apr 07 2009 Michail Yakushin <silicium@altlinux.ru> 3.3.15-alt1.2.132635.16
- Build for kernel-image-std-def-2.6.27-alt16.

* Sun Dec 14 2008 Denis Smirnov <mithraen@altlinux.ru> 3.3.15-alt1.132635.5
- first build for Sisyphus

